Last Comment Bug 730840 - Use getBrowserURL() in Firefox tests to ease porting them, part 2
: Use getBrowserURL() in Firefox tests to ease porting them, part 2
Status: VERIFIED FIXED
:
Product: Firefox
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: -- minor (vote)
: Firefox 15
Assigned To: Raymond Lee [:raymondlee]
:
Mentors:
http://mxr.mozilla.org/mozilla-centra...
Depends on: 717963 725210
Blocks: 717969
  Show dependency treegraph
 
Reported: 2012-02-27 09:02 PST by Serge Gautherie (:sgautherie)
Modified: 2012-05-01 01:25 PDT (History)
3 users (show)
ryanvm: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
v1 (3.84 KB, patch)
2012-04-26 00:40 PDT, Raymond Lee [:raymondlee]
bugzillamozillaorg_serge_20140323: feedback+
Details | Diff | Review
v2 (4.81 KB, patch)
2012-04-26 02:28 PDT, Raymond Lee [:raymondlee]
dao+bmo: review+
bugzillamozillaorg_serge_20140323: feedback+
Details | Diff | Review
Patch for checkin (5.08 KB, patch)
2012-04-27 00:29 PDT, Raymond Lee [:raymondlee]
no flags Details | Diff | Review

Description Serge Gautherie (:sgautherie) 2012-02-27 09:02:16 PST
+++ This bug was initially created as a clone of Bug #717963 +++

"Found 4 matching lines in 3 files"
Comment 1 Raymond Lee [:raymondlee] 2012-04-26 00:40:32 PDT
Created attachment 618578 [details] [diff] [review]
v1

Updated to use getBrowserURL in browser tests.
Comment 2 Serge Gautherie (:sgautherie) 2012-04-26 02:02:14 PDT
Comment on attachment 618578 [details] [diff] [review]
v1

Could you fix new

/browser/components/privatebrowsing/test/browser/browser_privatebrowsing_lastpbcontextexited.js
    * line 40 -- let newWin = window.openDialog("chrome://browser/content/", "_blank", "chrome,all,dialog=no");

too?
Comment 3 Raymond Lee [:raymondlee] 2012-04-26 02:28:42 PDT
Created attachment 618595 [details] [diff] [review]
v2

(In reply to Serge Gautherie (:sgautherie) from comment #2)
> Comment on attachment 618578 [details] [diff] [review]
> v1
> 
> Could you fix new
> 
> /browser/components/privatebrowsing/test/browser/
> browser_privatebrowsing_lastpbcontextexited.js
>     * line 40 -- let newWin = window.openDialog("chrome://browser/content/",
> "_blank", "chrome,all,dialog=no");
> 
> too?

Done.
Comment 4 Raymond Lee [:raymondlee] 2012-04-27 00:29:45 PDT
Created attachment 618949 [details] [diff] [review]
Patch for checkin
Comment 5 Raymond Lee [:raymondlee] 2012-04-27 00:31:12 PDT
Comment on attachment 618949 [details] [diff] [review]
Patch for checkin

Passed Try
https://tbpl.mozilla.org/?tree=Try&rev=ef5f8d617329
Comment 6 Ryan VanderMeulen [:RyanVM] 2012-04-28 08:22:37 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/e4f72e3b1081
Comment 7 Ryan VanderMeulen [:RyanVM] 2012-04-29 15:45:00 PDT
http://hg.mozilla.org/mozilla-central/rev/e4f72e3b1081
Comment 8 Serge Gautherie (:sgautherie) 2012-05-01 01:25:07 PDT
V.Fixed, per MXR search.

Note You need to log in before you can comment on or make changes to this bug.